package app.insti.adapter;

import android.app.Activity;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.squareup.picasso.Picasso;

import java.util.List;

import app.insti.R;
import app.insti.api.model.BroadActivity;

public class ActivitiesAdapter extends RecyclerView.Adapter<ActivitiesAdapter.BroadActivitiesViewHolder> {

    private Context context;
    private List<BroadActivity> broadActivityList;

    public ActivitiesAdapter(Context context,List<BroadActivity> broadActivityList){
        this.context = context;
        this.broadActivityList = broadActivityList;
    }

    @NonNull
    @Override
    public BroadActivitiesViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        LayoutInflater inflater = LayoutInflater.from(context);
        View view = inflater.inflate(R.layout.resource_layout_broad_activities,parent,false);
        return new BroadActivitiesViewHolder(view);
    }

    @Override
    public void onBindViewHolder(@NonNull BroadActivitiesViewHolder holder, int position) {
        BroadActivity broadActivity = broadActivityList.get(position);
        holder.txtView.setText(broadActivity.getBroadActivityName());
        Picasso.get().load(broadActivity.getAvatarUrl()).fit().centerCrop().into(holder.imgView);
    }

    @Override
    public int getItemCount() {
        return broadActivityList.size();
    }

    public class BroadActivitiesViewHolder extends RecyclerView.ViewHolder {
        ImageView imgView;
        TextView txtView;
        public BroadActivitiesViewHolder(@NonNull View itemView) {
            super(itemView);
            imgView = itemView.findViewById(R.id.imgViewActivity);
            txtView = itemView.findViewById(R.id.txtViewActivity);

        }
    }
}
